<script setup lang="ts">
import { useEmployeeStore } from '../stores/employee'
import { onMounted } from 'vue'
import CustomerDialog from '../components/EmployeeDialog.vue'
import EmployeeDialog from '../components/EmployeeDialog.vue'

const employeeStore = useEmployeeStore()

onMounted(() => {
  employeeStore.getAllEmployee()
})
</script>

<template>
  <EmployeeDialog></EmployeeDialog>
  <v-data-table
    class="h-100"
    fixed-header
    :headers="employeeStore.header"
    :items="employeeStore.employees"
  >
    <!-- style="background-color: rgba(58, 49, 43, 0.923)" -->
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Employee Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="employeeStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.role }}</td>
        <td>{{ item.firstName }}</td>
        <td>{{ item.lastName }}</td>
        <td>{{ item.tel }}</td>
        <td>{{ item.gender }}</td>
        <td>{{ item.birthDate.toString() }}</td>
        <td>{{ item.qualification }}</td>
        <td>{{ item.moneyRate }}</td>
        <td>{{ item.minWork }}</td>
        <td>{{ item.startDate?.toString() }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="employeeStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="employeeStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
